--- title: "Update Sensor Configuration" slug: "update-sensor-configuration" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:37:28Z published: 2026-09-23T09:37:28Z canonical: "docs.trellix.com/update-sensor-configuration" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update Sensor Configuration This URL performs configuration update for the specified Sensor. ## Resource URL PUT /sensor//action/update_sensor_config ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensor_id | Sensor id | Integer | Yes | Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | deviceName | Name of the device | String | No | | isSigsetConfigPushRequired | Is signature set/configuration required | Boolean | Yes | | isSSLPushRequired | Policy visible to child domain | Boolean | Yes | | isBotnetPushRequired | Firewall policy description | Boolean | Yes | | lastUpdateTime | Last updated timestamp of the config push | String | No | | pendingChanges | Configuration changes details | Object | No | Details of pendingChanges: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | isPolicyConfigurationChanged | Policy configuration is changed or not | Boolean | No | | isConfigurationChanged | Configuration is changed or not | Boolean | No | | isSignatureSetConfigurationChanged | Signature set configuration is changed or not | Boolean | No | | isSSLConfigurationChanged | SSL configuration is changed or not | Boolean | No | | isGloablPolicyConfigurationChanged | Global policy configuration is changed or not | Boolean | No | | isGAMUpdateRequired | Gateway Anti-Malware update on Sensor is required or not | Boolean | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | RequestId | Sensor config update request id | String | ## Example **Request** PUT [https://%3CNSM_IP%3E/sdkapi/sensor/1001/action/update_sensor_config](https://%3CNSM_IP%3E/sdkapi/sensor/1001/action/update_sensor_config) ``` { "deviceName" : "M-2950", "lastUpdateTime" : "2013-09-03 20:16:54.000 IST", "pendingChanges" : { "isPolicyConfigurationChanged" : true, "isConfigurationChanged" : false, "isMalwareConfigurationChanged" : false, "isSignatureSetConfigurationChanged" : false, "isSSLConfigurationChanged" : false, "isBotnetConfigurationChanged" : true, "isGloablPolicyConfigurationChanged" : false }, "isSigsetConfigPushRequired" : true, "isSSLPushRequired" : false, "isBotnetPushRequired" : true "isGAMUpdateRequired": true } ``` **Response** ``` { "RequestId": "1337547887180" } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 400 | 1101 | Error updating Sensor | | 3 | 500 | 1124 | The Sensor is inactive | | 4 | 400 | 1140 | Sensor is currently running in layer 2 bypass mode | | 5 | 400 | 1141 | Concurrent process are running on the update server | | 6 | 400 | 1142 | Please wait a minute and then try again, check the system log for details | | 7 | 400 | 1143 | Bot file is null/not compatible with the Sensor | | 8 | 400 | 1144 | Sensor is not a standalone device.Signature set download cannot be done on a failover device | | 9 | 400 | 1145 | Botnet import is supported only for NTBA or IPS/NAC Sensor | | 10 | 400 | 1146 | Invalid SSL keys, check the system log for details | | 11 | 400 | 1147 | Total exception objects count exceeded the limit of | | 12 | 400 | 1148 | Sensor software version is not compatible with the Manager | | 13 | 400 | 1149 | SSL key decryption not enabled on Sensor | | 14 | 400 | 1150 | No configuration changes to push | | 15 | 400 | 1151 | No SSL decryption key existed | | 16 | 400 | 1152 | Botnet is not enabled/supported for this Sensor | | 17 | 400 | 1153 | SSL key decryption is not supported for this Sensor | | 18 | 400 | 1201 | This device requires a valid system license. | | 19 | 400 | 1202 | This device requires a valid proxy decryption license. | | 20 | 400 | 1203 | Incompatible license assignments detected. (The proxy decryption and system licenses must have the same capacity). | | 21 | 400 | 1204 | The devices in this HA pair are running at different capacities and/or have invalid or mismatched system licenses. | | 22 | 400 | 1205 | The devices in this HA pair are having mismatched proxy decryption licenses. | | 23 | 400 | 1206 | One or more stack member Sensors not discovered. |